Skip to API content
TalkLabs API Docs v3
Recipes
GET Moderate comments

List Comments in Moderation Queue

limit : optional Defaults to 200.

GET /api/v3/{appid}/comment/moderation/queues/comments

This method requires authentication.

  • limit: (optional) Defaults to 200. This limits how many messages to return from the queue
  • conversationid: (optional) Provide the ConversationID for a room to filter for only the queued events for a specific room
  • cursor: (optional) Provide cursor value to get the next page of results.
  • filterHandle: (optional) Filters using exact match for a handle of a user
  • filterKeyword: (optional) Filters using substring search for your string
  • filterModerationState: (optional) Filters for comments in the specified moderation state.
    • approved: Moderator approved the comment
    • rejected: Moderator rejected the comment
    • pending: A new comment was posted to a premoderation room, and is pending review, but was never reported as abuse
    • flagged: Enough users reported the comment that it is in the flagged state and sent to moderation queue
Request

Parameters

Values in the path and query string.

appid path
string TalkLabs ID required

The TalkLabs application ID assigned to your account.

Example: your-app-id
limit query
integer · int32

The maximum number of records to return.

Example: 1
conversationId query
string TalkLabs ID

The TalkLabs assigned conversation ID.

Example: conversation-id
cursor query
string

The cursor returned by the previous page.

filterModerationState query
integer · int32
Example: [object Object]
filterKeyword query
string
filterUserid query
string customer-defined
filterHandle query
string
filterTag query
string
filterHashtag query
string
Response

Status codes

Every JSON response uses the API result envelope.

200 OK ApiResult
400 Bad Request ApiResult
403 Forbidden ApiResult
404 Not Found ApiResult
500 Internal Server Error ApiResult
Example response · 200
{
  "message": "",
  "errors": {},
  "data": {
    "kind": "list.comments",
    "cursor": "5e9e65f138a285193496316b",
    "more": false,
    "conversation": null,
    "comments": [
      {
        "kind": "comment.comment",
        "id": "5e9e65f138a285193496316b",
        "appid": "5e9389ed38a2b10794e271ee",
        "conversationid": "my_conversation_id",
        "commenttype": "comment",
        "added": 1587439089,
        "modified": 1587439089,
        "userid": "u-8842",
        "user": {
          "kind": "app.user",
          "userid": "u-8842",
          "handle": "dave_m",
          "handlelowercase": "georgew",
          "displayname": "Dave M.",
          "pictureurl": "https://example.com/users/u-8842s/photos/original/a9/c7/a6/44-1-george-washington-18-1549729902.jpg",
          "profileurl": "https://example.com/users/u-8842shington",
          "banned": false
        },
        "body": "Hello, World! This is a comment with international characters and emojis. Intl: äöüÄÖÜß | Emojis: 😂🤣❤😍😒",
        "hashtags": [],
        "customtype": "my-custom-type",
        "customid": "/articles/2020-03-01/article1/something-very-important-happened",
        "custompayload": "{ num : 0 }",
        "customtags": [
          "taga",
          "tagb"
        ],
        "customfield1": "/sample/userdefined1/emojis/😂🤣❤😍😒",
        "customfield2": "/sample/userdefined2/intl/characters/äöüÄÖÜß",
        "edited": false,
        "deleted": false,
        "parentid": "",
        "hierarchy": [],
        "mentions": [],
        "reactions": [
          {
            "type": "like",
            "count": 0,
            "users": []
          }
        ],
        "likecount": 0,
        "replycount": 0,
        "votecount": 0,
        "votescore": 0,
        "votes": [],
        "moderation": "flagged",
        "active": false,
        "reports": [
          {
            "userid": "u-8842",
            "reason": "abuse"
          }
        ]
      }
    ]
  }
}
Search all 118 endpoints Try “join room”, “moderate”, or “POST”.
Request environment

Connect your application

These values fill request examples and the API console. They stay in this browser tab and are never sent to TalkLabs until you run a request.

Credentials are stored in sessionStorage, not in cookies or analytics.